/*
 * SPDX-FileCopyrightText: 2020, microG Project Team
 * SPDX-License-Identifier: Apache-2.0
 * Notice: Portions of this file are reproduced from work created and shared by Google and used
 *         according to terms described in the Creative Commons 4.0 Attribution License.
 *         See https://developers.google.com/readme/policies for details.
 */

package com.google.firebase.auth;

import org.microg.gms.common.PublicApi;

/**
 * Holds credentials generated by a sign-in with a credential to an IDP that uses OAuth
 */
@PublicApi
public abstract class OAuthCredential extends AuthCredential {
    /**
     * Returns the OAuth access token associated with this credential.
     */
    public abstract String getAccessToken();

    /**
     * Returns the OAuth ID token associated with this credential.
     */
    public abstract String getIdToken();

    /**
     * Returns the OAuth secret associated with this credential. This will be null for OAuth 2.0 providers.
     */
    public abstract String getSecret();
}
